pktools_2.6.7.6+ds-1build1_amd64.deb


Advertisement

Description

pktools - GDAL add-on tools to perform useful raster processing

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename pktools_2.6.7.6+ds-1build1_amd64.deb
Package name pktools
Package version 2.6.7.6+ds
Package release 1build1
Package architecture amd64
Package type deb
Category universe/science
Homepage http://pktools.nongnu.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 848.09 KB
Installed size 4.67 MB
Pktools is a collection of programs to perform operations, mostly on
raster geolocated  images. It  heavily relies  on the  Geospatial Data
Abstraction Library (GDAL) and OGR.  The programs are similar to the
GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the
functionalities provided in pktools already exist in the GDAL tools.
All utilities in pktools use command line options and have a built
in help. They include more than thirty binaries to edit, change, crop,
classify, compare, dump, fill, enhance images and many other
common operations useful in the remote sensing field of image
analysis.

Alternatives

Package Version Architecture Repository
pktools_2.6.7.6+ds-1build1_i386.deb 2.6.7.6+ds i386 Ubuntu Universe
pktools - - -

Requires

Name Value
gdal-abi-2-4-0 -
libalgorithms1 >= 2.6.7
libc6 >= 2.27
libfann2 >= 2.1.0~beta~dfsg
libfileclasses1 >= 2.6.4
libgcc1 >= 1:3.0
libgdal20 >= 2.3.0
libgsl23 >= 2.5
libimageclasses1 >= 2.6.7
liblas3 >= 1.8.0
liblasclasses1 >= 2.6.4
libstdc++6 >= 5.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pktools_2.6.7.6+ds-1build1_amd64.deb
Source Package pktools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pktools deb package:
    # sudo apt-get install pktools

Files

Path
/usr/bin/pkann
/usr/bin/pkannogr
/usr/bin/pkascii2img
/usr/bin/pkascii2ogr
/usr/bin/pkcomposite
/usr/bin/pkcreatect
/usr/bin/pkcrop
/usr/bin/pkdiff
/usr/bin/pkdsm2shadow
/usr/bin/pkdumpimg
/usr/bin/pkdumpogr
/usr/bin/pkegcs
/usr/bin/pkextractimg
/usr/bin/pkextractogr
/usr/bin/pkfillnodata
/usr/bin/pkfilter
/usr/bin/pkfilterascii
/usr/bin/pkfilterdem
/usr/bin/pkfsann
/usr/bin/pkfssvm
/usr/bin/pkgetmask
/usr/bin/pkinfo
/usr/bin/pkkalman
/usr/bin/pklas2img
/usr/bin/pkoptsvm
/usr/bin/pkpolygonize
/usr/bin/pkreclass
/usr/bin/pkreclassogr
/usr/bin/pkregann
/usr/bin/pksetmask
/usr/bin/pksieve
/usr/bin/pkstat
/usr/bin/pkstatascii
/usr/bin/pkstatogr
/usr/bin/pkstatprofile
/usr/bin/pksvm
/usr/bin/pksvmogr
/usr/share/doc/pktools/changelog.Debian.gz
/usr/share/doc/pktools/copyright
/usr/share/man/man1/pkann.1.gz
/usr/share/man/man1/pkannogr.1.gz
/usr/share/man/man1/pkascii2img.1.gz
/usr/share/man/man1/pkascii2ogr.1.gz
/usr/share/man/man1/pkcomposite.1.gz
/usr/share/man/man1/pkcreatect.1.gz
/usr/share/man/man1/pkcrop.1.gz
/usr/share/man/man1/pkdiff.1.gz
/usr/share/man/man1/pkdsm2shadow.1.gz
/usr/share/man/man1/pkdumpimg.1.gz
/usr/share/man/man1/pkdumpogr.1.gz
/usr/share/man/man1/pkegcs.1.gz
/usr/share/man/man1/pkextractimg.1.gz
/usr/share/man/man1/pkextractogr.1.gz
/usr/share/man/man1/pkfillnodata.1.gz
/usr/share/man/man1/pkfilter.1.gz
/usr/share/man/man1/pkfilterascii.1.gz
/usr/share/man/man1/pkfilterdem.1.gz
/usr/share/man/man1/pkfsann.1.gz
/usr/share/man/man1/pkfssvm.1.gz
/usr/share/man/man1/pkgetmask.1.gz
/usr/share/man/man1/pkinfo.1.gz
/usr/share/man/man1/pkkalman.1.gz
/usr/share/man/man1/pklas2img.1.gz
/usr/share/man/man1/pkoptsvm.1.gz
/usr/share/man/man1/pkpolygonize.1.gz
/usr/share/man/man1/pkreclass.1.gz
/usr/share/man/man1/pkreclassogr.1.gz
/usr/share/man/man1/pkregann.1.gz
/usr/share/man/man1/pksetmask.1.gz
/usr/share/man/man1/pksieve.1.gz
/usr/share/man/man1/pkstat.1.gz
/usr/share/man/man1/pkstatascii.1.gz
/usr/share/man/man1/pkstatogr.1.gz
/usr/share/man/man1/pkstatprofile.1.gz
/usr/share/man/man1/pksvm.1.gz
/usr/share/man/man1/pksvmogr.1.gz

Changelog

2019-01-05 - Jeremy Bicha <jbicha@ubuntu.com>
pktools (2.6.7.6+ds-1build1) disco; urgency=medium
* No-change rebuild against latest gdal
2018-11-25 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.6+ds-1) unstable; urgency=medium
* New upstream release.
* Exclude more automatically removed files from upstream tarball.
* Drop patches, applied upstream.
2018-11-24 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.5+ds-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.2.1, no changes.
* Add Build-Depends-Package field to symbols files.
* Refresh patches.
* Update symbols for amd64.
2018-08-19 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.4+ds-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.2.0, no changes.
* Drop gdal-c++11.patch, applied upstream.
* Update symbols for amd64.
2018-08-01 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.3+ds-3) unstable; urgency=medium
* Strip trailing whitespace from control & rules files.
* Bump Standards-Version to 4.1.5, no changes.
* Drop autopkgtest to test installability.
* Add lintian override for testsuite-autopkgtest-missing.
* Update symbols for amd64.
2018-04-23 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.3+ds-2) unstable; urgency=medium
* Update Vcs-* URLs for Salsa.
* Bump Standards-Version to 4.1.4, no changes.
* Add patch to use C++11 for compatibility with GDAL 2.3.0.
* Update symbols for amd64.
2018-02-07 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.3+ds-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.1.3, no changes.
* Update watch file to use HTTPS.
* Update copyright-format URL to use HTTPS.
* Update watch file to check for uppercase releases too.
* Install libraries in Multi-Arch path.
* Update symbols for amd64.
2017-06-29 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7.1+ds-1) unstable; urgency=medium
* New upstream release.
* Exclude build directory and autocleaned files from upstream source.
* Update copyright years for Pieter Kempeneers.
* Drop patches applied upstream.
* Bump Standards-Version to 4.0.0, no changes.
* Add autopkgtest to test installability.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
* Install pk{ann,reclass,svm}ogr in pktools package.
* Update spelling-errors2.patch to fix new 'columns' typo.
* Add manpages for new executables.
2016-11-05 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7-3) unstable; urgency=medium
* Update symbols for other architectures.
* Add patch to fix spelling errors.
2016-05-23 - Bas Couwenberg <sebastic@debian.org>
pktools (2.6.7-2) unstable; urgency=medium
* Update symbols for other architectures.

See Also

Package Description
pktstat_1.8.5-5build1_amd64.deb top-like utility for network connections usage
pkwalify_1.22.99~git3d3f0ea-1_all.deb perl kwalify validator
placement-api_1.0.0-0ubuntu1_all.deb OpenStack Placement - API
placement-common_1.0.0-0ubuntu1_all.deb OpenStack Placement - common files
placement-doc_1.0.0-0ubuntu1_all.deb OpenStack Placement - documentation
placnet_1.03-3_all.deb Plasmid Constellation Network project
plait_1.6.2-1ubuntu1_all.deb command-line jukebox
plan_1.10.1-6_amd64.deb X/Motif day planner
planarity_3.0.0.5-3_amd64.deb Program for planarity-related graph algorithms
planet-venus_0~git9de2109-4.2_all.deb aggregate feed generator
planetblupi-common_1.13.2-3_all.deb Planet Blupi - A delirious spell-binding game - data
planetblupi-music-midi_1.13.2-3_all.deb Planet Blupi - A delirious spell-binding game - MIDI music
planetblupi-music-ogg_1.13.2-3_all.deb Planet Blupi - A delirious spell-binding game - Ogg music
planetblupi_1.13.2-3_amd64.deb Planet Blupi - A delirious spell-binding game
planetfilter_0.8.1-4_all.deb filter for blog aggregators
Advertisement
Advertisement